#
#
# Zeiterfassung

# Bibliotheksimports
import time
import datetime
import os
from timestamping import *
from users import *
from jsonhandler import *

# Statische Definitionen
# Pfade:
userfolder = "users"
settingsfolder = "settings"
program_name = "Zeiterfassung"
program_version = "0.0.0"

# Funktionen

# Hauptfunktion
def main():
    print(program_name + " " + str(program_version))
    print("Welche Funktion soll ausgeführt werden?")
    print("1: Stempeln")
    print("2: Stempelübersicht anzeigen")
    question = int(input("Geben Sie Ihre Antwort ein: "))

    if question == 1:
        userlist = list_users(scriptpath() + "/" + userfolder)
        print(userlist)
        for i in range (0, len(userlist)):
            print(str(i + 1) + ": " + str(userlist[i]))

        which_user = input("Für welchen User soll gestempelt werden? ")
        append_timestamp(determine_filename(userlist[int(which_user) - 1]))
        print("Stempeleintrag vorgenommen")
    elif question == 2:
        userlist = list_users(scriptpath() + "/" + userfolder)
        for i in range (0, len(userlist)):
            print(str(i + 1) + ": " + str(userlist[i]))

        which_user = input("Für welchen User sollen die Stempelzeiten angezeigt werden? " )
        print("Zustand: " + stempel_zustand(determine_filename(userlist[int(which_user) -1])))
        overview(determine_filename(userlist[int(which_user) - 1]))
    else:
        print("Keine Eingabe erkannt.")


# Programmstart
if __name__ == "__main__":
    main()